{if isset($members) }
{if isset($results) }
{if count($results) > 1 }
	<p>There are several matches for your query, please select one below - </p>
	<ul>
{foreach name=results from=$results item=result}
		<li><a href="{$url}/{$result.uid}">{$result.uid}</a></li>
{/foreach}
	</ul>
{elseif count($results) == 1 }
<div class="box">
<div class="boxhead"><h2>Membership Details for {$results[0].uid}</h2></div>
<div class="boxcontent">
{if isset($results[0].picture) }
	<img class="emblem" src="{$baseurl}{$results[0].picture}" alt="Picture of {$results[0].uid}" />
{/if}
<dl class="member">
	<dt>Username</dt>
	<dd>{$results[0].uid|escape:'htmlall'}</dd>
	<dt>Real Name</dt>
	<dd>{$results[0].cn|escape:'htmlall'}</dd>
	<dt>Account Type</dt>
	<dd>{$results[0].acctype|escape:'htmlall'}</dd>
{if $results[0].website }
	<dt>Website</dt>
	<dd><a href="http://sucs.org/~{$results[0].uid|escape:'url'}/">http://sucs.org/~{$results[0].uid|escape:'url'}/</a></dd>
{/if}
{if isset($results[0].blog) }
	<dt>Blog</dt>
	<dd><a href="/Blogs/{$results[0].uid|escape:'url'}">{$results[0].blog}</a></dd>
{/if}
{if isset($results[0].project) }
	<dt>Project</dt>
	<dd id="project"><pre style="clear: left;">{$results[0].project|escape:'htmlall'}</pre></dd>
{/if}
{if isset($results[0].plan) }
	<dt>Plan</dt>
	<dd id="plan"><pre style="clear: left;">{$results[0].plan|escape:'htmlall'}</pre></dd>
{/if}

<dt>Banana Score</dt>
{if $results[0].awards|@count >= 1}
	<dd>{bananaprint score=$results[0].bananascore}{$results[0].bananascore} banana{if $results[0].bananascore<>1}s{/if}</dd>
{else}
	<dd>{$results[0].uid} doesn't have any banana awards</dd>
{/if}
</dl>


<div class="clear"></div>
</div>
<div class="hollowfoot"><div><div></div></div></div>
</div>
{if $results[0].awards|@count >= 1}
<div class="box">
<div class="boxhead"><h2>Banana Awards for {$results[0].uid}</h2></div>
<div class="boxcontent">
		<dl class="bananas">
                {foreach name=awards from=$results[0].awards key=key item=award}
			{if $acYear != $award.acYear}
			{assign var='acYear' value=$award.acYear}
				{if !$smarty.foreach.awards.first}</ul></dd>{/if}
	<dt>{$award.acYear}/{math equation="x + 1" x=$award.acYear}: <small>{$award.yearSum} banana{if $award.yearSum|abs != 1}s{/if}</small>
</dt>
			<dd><ul class="bananas">
			{/if}
				<li class="{award_image_class number=$award.score}">
					<q>{$award.why}</q> <br/>
					<small>
						<strong>{if $award.score > 0}+{/if}{$award.score}</strong> awarded by {$award.who} on {$award.whn|date_format:"%d %b %Y"}
					</small>
					
				</li>
			{if $smarty.foreach.awards.last}</ul>{/if}
                {/foreach}
		</dd></dl>
</div>
<div class="hollowfoot"><div><div></div></div></div>
</div>
{/if}
{else}
<div class="errorbar">
<div><div><div>
	Members: No Results (Invalid Search)
</div></div></div>
</div>
{/if}
{else}
<p> Please Search for a member in the sidebar.</p>
<h3>Recent Awards</h3>
<table>
{foreach name=recent from=$stats.recent key=key item=award}
	<tr>
	{if $award.real == TRUE}
		<td><a href="/Community/Members/{$award.username}">{$award.username}</a></td>
	{else}
		<td><a href="/Community/Bananas/{$award.username}">{$award.username}</a></td>
	{/if}
	<td>{bananaprint score=$award.score}</td>
	<td><q>{$award.why}</q><br /><small>Awarded by {$award.who} on {$award.whn|date_format:"%d %b %Y"}</small></td>
	</tr>
{/foreach}
</table>
{/if}
{else}
<p>Please log in to view full member details.</p>
<h3>Members with public websites:</h3>
<div class="memberlist">
{memberwebsitelist  members=$public_members}
</div>
{/if}

